package com.ibeetl.admin.flow.entity;


import com.ibeetl.admin.core.annotation.Query;
import com.ibeetl.admin.core.web.query.PageParam;

public class QueryDirectedActivitie extends PageParam{
	
	@Query(name="产品", display=true, type=5, dict="productname", group="productname")
	private String  productid;
	
	@Query(name="省份步长", display=true, type=5, dict="countPro", group="countPro")
	private String countPro;
	
	@Query(name="渠道步长", display=true, type=5, dict="countChannel", group="countChannel")
	  private String countChannel;
	
	private String starttime;
	@Query(name="活动渠道",display = true, type = Query.TYPE_DICT, dict = "notfound")
	private String activitie;//活动名称
	
	private String stime;
	private String etime;
	private String fesname;
	private String fescod;
	private String title;
	private String allchannel;
	private String paritycode;
	private String id;
	private String channelid;
	private String orderchannel;
	private String channelname;
	private String ddate;
	private String cgdg;
	private String xc;
	private String state;
	private String month;
	@Query(name="续存步长", display=true, type=5, dict="queryXc", group="queryXc")
	private String queryXc;
	
	private String num;

	public String getProductid() {
		return productid;
	}

	public void setProductid(String productid) {
		this.productid = productid;
	}

	public String getCountPro() {
		return countPro;
	}

	public void setCountPro(String countPro) {
		this.countPro = countPro;
	}

	public String getCountChannel() {
		return countChannel;
	}

	public void setCountChannel(String countChannel) {
		this.countChannel = countChannel;
	}

	public String getStarttime() {
		return starttime;
	}

	public void setStarttime(String starttime) {
		this.starttime = starttime;
	}

	public String getActivitie() {
		return activitie;
	}

	public void setActivitie(String activitie) {
		this.activitie = activitie;
	}

	public String getStime() {
		return stime;
	}

	public void setStime(String stime) {
		this.stime = stime;
	}

	public String getEtime() {
		return etime;
	}

	public void setEtime(String etime) {
		this.etime = etime;
	}

	public String getFesname() {
		return fesname;
	}

	public void setFesname(String fesname) {
		this.fesname = fesname;
	}

	public String getFescod() {
		return fescod;
	}

	public void setFescod(String fescod) {
		this.fescod = fescod;
	}

	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getAllchannel() {
		return allchannel;
	}

	public void setAllchannel(String allchannel) {
		this.allchannel = allchannel;
	}

	public String getParitycode() {
		return paritycode;
	}

	public void setParitycode(String paritycode) {
		this.paritycode = paritycode;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getChannelid() {
		return channelid;
	}

	public void setChannelid(String channelid) {
		this.channelid = channelid;
	}

	public String getOrderchannel() {
		return orderchannel;
	}

	public void setOrderchannel(String orderchannel) {
		this.orderchannel = orderchannel;
	}

	public String getChannelname() {
		return channelname;
	}

	public void setChannelname(String channelname) {
		this.channelname = channelname;
	}

	public String getDdate() {
		return ddate;
	}

	public void setDdate(String ddate) {
		this.ddate = ddate;
	}

	public String getCgdg() {
		return cgdg;
	}

	public void setCgdg(String cgdg) {
		this.cgdg = cgdg;
	}

	public String getXc() {
		return xc;
	}

	public void setXc(String xc) {
		this.xc = xc;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getMonth() {
		return month;
	}

	public void setMonth(String month) {
		this.month = month;
	}

	public String getQueryXc() {
		return queryXc;
	}

	public void setQueryXc(String queryXc) {
		this.queryXc = queryXc;
	}

	public String getNum() {
		return num;
	}

	public void setNum(String num) {
		this.num = num;
	}

	@Override
	public String toString() {
		return "QueryDirectedActivitie [productid=" + productid + ", countPro="
				+ countPro + ", countChannel=" + countChannel + ", starttime="
				+ starttime + ", activitie=" + activitie + ", stime=" + stime
				+ ", etime=" + etime + ", fesname=" + fesname + ", fescod="
				+ fescod + ", title=" + title + ", allchannel=" + allchannel
				+ ", paritycode=" + paritycode + ", id=" + id + ", channelid="
				+ channelid + ", orderchannel=" + orderchannel
				+ ", channelname=" + channelname + ", ddate=" + ddate
				+ ", cgdg=" + cgdg + ", xc=" + xc + ", state=" + state
				+ ", month=" + month + ", queryXc=" + queryXc + ", num=" + num
				+ "]";
	}
	

	
	
}
